Update Beneficiary
curl --request PATCH \
--url https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"beneficiary_type": "<string>",
"title": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {},
"tax_id": "<string>",
"country_code": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}"
payload = {
"beneficiary_type": "<string>",
"title": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {},
"tax_id": "<string>",
"country_code": "<string>",
"note": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
beneficiary_type: '<string>',
title: '<string>',
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
display_name: '<string>',
company_name: '<string>',
email: '<string>',
phone: '<string>',
address: {},
tax_id: '<string>',
country_code: '<string>',
note: '<string>'
})
};
fetch('https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Beneficiaries
Update Beneficiary
Update beneficiary information
PATCH
/
v1
/
accounts
/
{account_id}
/
beneficiaries
/
{beneficiary_id}
Update Beneficiary
Path Parameters
string
required
The account’s external ID (starts with
acc_)string
required
The beneficiary’s external ID (starts with
bene_)Request Body
All fields are optional. Only include fields you want to update.string
Type of beneficiary:
individual or businessstring
Title (e.g., Mr, Ms, Dr)
string
First name
string
Middle name
string
Last name
string
Display name
string
Company name
string
Email address
string
Phone number
object
Beneficiary address
string
Tax identification number
string
Payout country code
string
Internal notes or comments
Response
Returns the updated beneficiary object with same structure as Create Beneficiary response.Response Example
{
"id": "bene_9gt1ummgx127biovlurm9mq2",
"object": "beneficiary",
"account_id": "acct_ka44qsvpo8q3wtzuwfqf0h6u",
"beneficiary_type": "individual",
"title": null,
"first_name": "John",
"middle_name": null,
"last_name": "Smith",
"display_name": "John Smith",
"company_name": null,
"email": "john.smith@example.com",
"phone": "+1987654321",
"address": {
"address_line": "123 Main St",
"city": "New York",
"region": "NY",
"postal_code": "10001",
"country": "US"
},
"country_code": "US",
"status": "active",
"verified": true,
"payout_destinations": [],
"created": "2024-01-15T10:00:00Z",
"updated": "2024-01-16T10:00:00Z"
}
⌘I